using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;
using System.Net;
using System.IO;

namespace BBSViewer
{
	/// <summary>
	/// Download ժҪ˵
	/// </summary>
	public class DL_Data : System.Windows.Forms.Form
	{
		private string url;
		private string filename;
		private ThreadStart dlThreadDelegate;
		private Thread dlThread;
		private bool complete;

		private System.Windows.Forms.Button button_Cancel;
		private System.Windows.Forms.Label label_Status;
		/// <summary>
		/// 
		/// </summary>
		private System.ComponentModel.Container components = null;

		public DL_Data(string url,string filename)
		{
			//
			// Windows ֧
			//
			InitializeComponent();

			//
			// TODO:  InitializeComponent úκι캯
			//
			begin_dl(url,filename);
		}

		/// <summary>
		/// ʹõԴ
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DL_Data));
			this.button_Cancel = new System.Windows.Forms.Button();
			this.label_Status = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// button_Cancel
			// 
			this.button_Cancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.button_Cancel.Image = ((System.Drawing.Image)(resources.GetObject("button_Cancel.Image")));
			this.button_Cancel.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.button_Cancel.Location = new System.Drawing.Point(144, 48);
			this.button_Cancel.Name = "button_Cancel";
			this.button_Cancel.TabIndex = 1;
			this.button_Cancel.Text = "ȡ";
			this.button_Cancel.Click += new System.EventHandler(this.button_Cancel_Click);
			// 
			// label_Status
			// 
			this.label_Status.Location = new System.Drawing.Point(16, 16);
			this.label_Status.Name = "label_Status";
			this.label_Status.Size = new System.Drawing.Size(328, 16);
			this.label_Status.TabIndex = 2;
			this.label_Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// DL_Data
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.CancelButton = this.button_Cancel;
			this.ClientSize = new System.Drawing.Size(360, 77);
			this.Controls.Add(this.label_Status);
			this.Controls.Add(this.button_Cancel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "DL_Data";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "";
			this.ResumeLayout(false);

		}
		#endregion

		public int begin_dl(string url,string filename)
		{
			this.url = url;
			this.filename = filename;
			this.complete = false;
			this.dlThreadDelegate = new ThreadStart(this.download);
			this.dlThread = new Thread(dlThreadDelegate);
			this.dlThread.Start();
			return 0;
		}

		public int cancel_dl()
		{
			this.dlThread.Abort();
			this.complete = false;
			return 0;
		}

		private void button_Cancel_Click(object sender, System.EventArgs e)
		{
			cancel_dl();
			this.Close();
		}
		
		private void download()
		{
			this.complete = false;
			try
			{
				this.label_Status.Text = "ӣԺ...";
				WebProxy proxy = new WebProxy
					(GV.Proxy_Use ? ("http://" + GV.Proxy_Server +
					":" + GV.Proxy_Port) : null);
				proxy.Credentials = new NetworkCredential(GV.Proxy_Username,GV.Proxy_Password);
				HttpWebRequest HttpWReq = (HttpWebRequest)WebRequest.Create (this.url);
				HttpWReq.Proxy = proxy;
				HttpWebResponse HttpWResp = (HttpWebResponse)HttpWReq.GetResponse();
				Stream receiveStream = HttpWResp.GetResponseStream();
				this.label_Status.Text = "ݣԺ...";

				FileStream fileStream = new FileStream(this.filename,FileMode.Create);
				byte [] buffer = new byte[1024];
				int count,total_byte=0;
				while ((count = receiveStream.Read(buffer,0,1024)) > 0)
				{
					fileStream.Write(buffer,0,count);
					total_byte += count;
					this.label_Status.Text = "ݣԺ...[" +
						total_byte.ToString() + "ֽ]";
				}
				fileStream.Close();
				receiveStream.Close();

				this.complete = true;
			}
			catch (System.Exception e)
			{
				this.label_Status.Text = e.Message;
				return;
			}
			this.Close();
		}

		public bool isComplete()
		{
			return this.complete;
		}

	}
}
