using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;

namespace BBSViewer
{
	/// <summary>
	/// Logo ժҪ˵
	/// </summary>
	public class Logo : System.Windows.Forms.Form
	{
		private ThreadStart logoThreadDelegate;
		private Thread logoThread;
		private System.Windows.Forms.GroupBox groupBox_Border;
		private System.Windows.Forms.Label label_Status;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.PictureBox pictureBox_Logo;
		private System.Windows.Forms.LinkLabel linkLabel_Website;
		private System.Windows.Forms.Label label_Copyright;
		private System.Windows.Forms.Label label_Ver;
		private System.Windows.Forms.Label label_Name;
		/// <summary>
		/// 
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Logo()
		{
			//
			// Windows ֧
			//
			InitializeComponent();

			//
			// TODO:  InitializeComponent úκι캯
			//
			string [] ver = Application.ProductVersion.Split('.');
			this.label_Ver.Text = "汾 " + ver[0] + "." + ver[1] + "." + ver[2];
			this.label_Status.Text = "Ժ...";
		}

		/// <summary>
		/// ʹõԴ
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Logo));
			this.groupBox_Border = new System.Windows.Forms.GroupBox();
			this.label_Status = new System.Windows.Forms.Label();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.pictureBox_Logo = new System.Windows.Forms.PictureBox();
			this.linkLabel_Website = new System.Windows.Forms.LinkLabel();
			this.label_Copyright = new System.Windows.Forms.Label();
			this.label_Ver = new System.Windows.Forms.Label();
			this.label_Name = new System.Windows.Forms.Label();
			this.groupBox_Border.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBox_Border
			// 
			this.groupBox_Border.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox_Border.BackColor = System.Drawing.Color.Transparent;
			this.groupBox_Border.Controls.Add(this.label_Status);
			this.groupBox_Border.Controls.Add(this.pictureBox1);
			this.groupBox_Border.Controls.Add(this.pictureBox_Logo);
			this.groupBox_Border.Controls.Add(this.linkLabel_Website);
			this.groupBox_Border.Controls.Add(this.label_Copyright);
			this.groupBox_Border.Controls.Add(this.label_Ver);
			this.groupBox_Border.Controls.Add(this.label_Name);
			this.groupBox_Border.ForeColor = System.Drawing.SystemColors.ControlText;
			this.groupBox_Border.Location = new System.Drawing.Point(10, 3);
			this.groupBox_Border.Name = "groupBox_Border";
			this.groupBox_Border.Size = new System.Drawing.Size(358, 211);
			this.groupBox_Border.TabIndex = 16;
			this.groupBox_Border.TabStop = false;
			// 
			// label_Status
			// 
			this.label_Status.BackColor = System.Drawing.Color.Transparent;
			this.label_Status.Location = new System.Drawing.Point(12, 176);
			this.label_Status.Name = "label_Status";
			this.label_Status.Size = new System.Drawing.Size(200, 23);
			this.label_Status.TabIndex = 22;
			// 
			// pictureBox1
			// 
			this.pictureBox1.BackColor = System.Drawing.Color.Transparent;
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(252, 168);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(88, 32);
			this.pictureBox1.TabIndex = 21;
			this.pictureBox1.TabStop = false;
			// 
			// pictureBox_Logo
			// 
			this.pictureBox_Logo.BackColor = System.Drawing.Color.Transparent;
			this.pictureBox_Logo.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox_Logo.Image")));
			this.pictureBox_Logo.Location = new System.Drawing.Point(12, 18);
			this.pictureBox_Logo.Name = "pictureBox_Logo";
			this.pictureBox_Logo.Size = new System.Drawing.Size(56, 56);
			this.pictureBox_Logo.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBox_Logo.TabIndex = 20;
			this.pictureBox_Logo.TabStop = false;
			// 
			// linkLabel_Website
			// 
			this.linkLabel_Website.BackColor = System.Drawing.Color.Transparent;
			this.linkLabel_Website.LinkBehavior = System.Windows.Forms.LinkBehavior.NeverUnderline;
			this.linkLabel_Website.LinkColor = System.Drawing.Color.Green;
			this.linkLabel_Website.Location = new System.Drawing.Point(84, 144);
			this.linkLabel_Website.Name = "linkLabel_Website";
			this.linkLabel_Website.Size = new System.Drawing.Size(196, 23);
			this.linkLabel_Website.TabIndex = 19;
			this.linkLabel_Website.TabStop = true;
			this.linkLabel_Website.Text = "http://www.FengLin.info";
			this.linkLabel_Website.VisitedLinkColor = System.Drawing.Color.Green;
			this.linkLabel_Website.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabel_Website_LinkClicked);
			// 
			// label_Copyright
			// 
			this.label_Copyright.BackColor = System.Drawing.Color.Transparent;
			this.label_Copyright.Location = new System.Drawing.Point(84, 120);
			this.label_Copyright.Name = "label_Copyright";
			this.label_Copyright.Size = new System.Drawing.Size(196, 23);
			this.label_Copyright.TabIndex = 18;
			this.label_Copyright.Text = "Ȩ (C) 2003-2005 ";
			// 
			// label_Ver
			// 
			this.label_Ver.BackColor = System.Drawing.Color.Transparent;
			this.label_Ver.Location = new System.Drawing.Point(176, 66);
			this.label_Ver.Name = "label_Ver";
			this.label_Ver.Size = new System.Drawing.Size(168, 23);
			this.label_Ver.TabIndex = 17;
			this.label_Ver.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// label_Name
			// 
			this.label_Name.BackColor = System.Drawing.Color.Transparent;
			this.label_Name.Font = new System.Drawing.Font("_GB2312", 21.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label_Name.Location = new System.Drawing.Point(76, 26);
			this.label_Name.Name = "label_Name";
			this.label_Name.Size = new System.Drawing.Size(280, 32);
			this.label_Name.TabIndex = 16;
			this.label_Name.Text = "̳";
			// 
			// Logo
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.BackColor = System.Drawing.Color.AliceBlue;
			this.ClientSize = new System.Drawing.Size(376, 224);
			this.Controls.Add(this.groupBox_Border);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "Logo";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.groupBox_Border.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public void Thread()
		{
			try
			{
				this.ShowDialog();
			}
			catch
			{
			}
		}

		public void StartThread()
		{
			this.logoThreadDelegate = new ThreadStart(this.Thread);
			this.logoThread = new Thread(logoThreadDelegate);;
			this.logoThread.Start();
		}

		private void linkLabel_Website_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			try
			{
				System.Diagnostics.Process.Start("http://www.fenglin.info");
			}
			catch
			{
				MessageBox.Show("޷","",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
		}

	}
}
