using System;
using System.Data;
using System.Windows.Forms;
using System.Web;

namespace BBSViewer
{
	/// <summary>
	/// Article_Content ժҪ˵
	/// </summary>
	public class Article_Content
	{
		private string aid;
		private string title;
		private bool ex;
		private bool correct;

		public Article_Content()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}

		public void Get_Data()
		{
			string filename = GV.temp_dir + "\\" + (this.ex?"E":"N") + this.aid + ".xml";
			string url = "http://" + GV.hostname + "/viewer/show_article.php?id="
				+ this.aid + "&ex=" + (this.ex?"1":"0");
			this.correct = false;
			try
			{
				DL_Data dl = new DL_Data(url,filename);
				dl.ShowDialog();
				if (dl.isComplete())
				{
					XML_DataSet article = new XML_DataSet (filename);
					DataRow subjectrow = article.dataset.Tables["Subject"].Rows[0];
					this.aid = subjectrow["TopicID"].ToString();
					this.title = subjectrow["TopicTitle"].ToString();
					this.correct = true;
				}
			}
			catch(Exception e)
			{
				MessageBox.Show(e.Message,"",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
		}

		public bool isCorrect()
		{
			return this.correct;
		}

		public void setaid(string aid)
		{
			this.aid = aid;
		}
		
		public string getaid()
		{
			return this.aid;
		}

		public void setex(bool ex)
		{
			this.ex = ex;
		}
	
		public bool getex()
		{
			return this.ex;
		}

		public string gettitle()
		{
			return this.title;
		}
	}
}
