using System;
using System.Data;
using System.Windows.Forms;
using System.Web;

namespace BBSViewer
{
	/// <summary>
	/// Article_List ժҪ˵
	/// </summary>
	public class Article_List
	{
		private int cid;
		private int sid;
		private int page,pagecount;
		private string search;
		private string view;
		private string sort;
		private string stitle;
		private bool correct;

		public Article_List()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
			sid=0;
			cid=0;
			page=1;
			pagecount=0;
			search="";
			view="normal";
			sort="topic";
		}

		public void Get_Data()
		{
			string temp_dir = System.Environment.GetEnvironmentVariable("TEMP") + "\\LeafOK";
			string filename = temp_dir + "\\List.xml";
			string url = "http://" + GV.hostname + "/viewer/show_list.php?sid="
				+ this.sid + "&view=" + this.view + "&sort=" + this.sort + "&search="
				+ HttpUtility.UrlEncode(this.search) + "&page=" + this.page;
			this.correct = false;
			if (this.sid == 0)
			{
				return;
			}
			try
			{
				DL_Data dl = new DL_Data(url,filename);
				dl.ShowDialog();
				if (dl.isComplete())
				{
					XML_DataSet section = new XML_DataSet (filename);
					DataRow sectionrow = section.dataset.Tables["Section"].Rows[0];
					this.cid = Convert.ToInt16(sectionrow["ClassID"]);
					this.sid = Convert.ToInt16(sectionrow["SectionID"]);
					this.stitle = sectionrow["SectionTitle"].ToString();
					this.page = Convert.ToInt16(sectionrow["Page"]);
					this.pagecount = Convert.ToInt16(sectionrow["PageCount"]);
					this.correct = true;
				}
			}
			catch(Exception e)
			{
				MessageBox.Show(e.Message,"",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
		}

		public bool isCorrect()
		{
			return this.correct;
		}

		public void setSID(int sid)
		{
			this.sid = sid;
			this.page = 1;
			this.search = "";
			Get_Data();
		}

		public int getSID()
		{
			return this.sid;
		}

		public int getCID()
		{
			return this.cid;
		}

		public void setpage(int page)
		{
			this.page = page;
			Get_Data();
		}
		
		public int getpage()
		{
			return this.page;
		}

		public int getpagecount()
		{
			return this.pagecount;
		}

		public void setsearch(string search)
		{
			this.search = search;
			this.page = 1;
			Get_Data();
		}

		public string getsearch()
		{
			return this.search;
		}

		public void setview(string view)
		{
			this.view = view;
			this.page = 1;
			Get_Data();
		}
	
		public string getview()
		{
			return this.view;
		}

		public void setsort(string sort)
		{
			this.sort = sort;
			Get_Data();
		}

		public string getsort()
		{
			return this.sort;
		}

		public string getstitle()
		{
			return this.stitle;
		}
	}
}
