using System;
using System.Windows.Forms;
using System.IO;
using XceedZipLib;

namespace BBSViewer
{
	/// <summary>
	/// Excerption_Package ժҪ˵
	/// </summary>
	public class Excerption_Package
	{
		private int sid;
		private string data_dir;
		private bool correct;

		public Excerption_Package()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}

		public void setSID(int sid)
		{
			this.sid = sid;
		}

		public void setDataDir(string dir)
		{
			this.data_dir = dir;
		}

		public int Get_Data()
		{
			return Get_Data(false);
		}

		public int Get_Data(bool force)
		{
			string filename = this.data_dir + "\\Download\\" + this.sid + ".ex";
			string url = "http://" + GV.hostname + "/viewer/show_ex_url.php?sid="	+ this.sid;
			if (File.Exists(filename) && !force)
			{
				this.correct = true;
				return 0;
			}

			this.correct = false;
			try
			{
				//Download data package
				DL_Data dl = new DL_Data(url,filename);
				dl.ShowDialog();
				if (dl.isComplete())
				{
					//Extract data package
					XceedZipClass zip = new XceedZipClass();
					zip.License(@"ZIP45-LU1KG-8X1N4-GKNA");
					zip.FilesToProcess = string.Empty;
					zip.ZipFilename = filename;
					zip.UnzipToFolder =  this.data_dir;
					XceedZipLib.xcdError result = zip.Unzip();
					if (result != xcdError.xerSuccess)
					{
						MessageBox.Show("ѹʧܣ","",MessageBoxButtons.OK,MessageBoxIcon.Error);
						return -1;
					}
					this.correct = true;
				}
			}
			catch(Exception e)
			{
				MessageBox.Show("Error! [EP_GetData] [" + e.Message + "]","",MessageBoxButtons.OK,MessageBoxIcon.Error);
				return -1;
			}
			return 0;
		}

		public bool isCorrect()
		{
			return this.correct;
		}

	}
}
