using System;
using System.IO;
using System.Windows.Forms;
using Microsoft.Win32;

namespace BBSViewer
{
	/// <summary>
	/// GV ժҪ˵
	/// </summary>
	public sealed class GV
	{
		public static string temp_dir;
		public static string app_dir;
		public static string hostname;
		public static bool Proxy_Use;
		public static string Proxy_Server;
		public static string Proxy_Port;
		public static string Proxy_Username;
		public static string Proxy_Password;

		public GV()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}

		static public void Application_Enviroment_Setup()
		{
			//Initialize File Path Info
			GV.temp_dir = System.Environment.GetEnvironmentVariable("TEMP") + "\\LeafOK";
			GV.app_dir = Application.StartupPath;

			//Default Settings
			GV.hostname = "www.fenglin.info";
			GV.Proxy_Use = false;
			GV.Proxy_Server = "";
			GV.Proxy_Port = "";
			GV.Proxy_Username = "";
			GV.Proxy_Password = "";

			GV.Registry_Settings(false);

			GV.Application_Enviroment_Cleanup();

			try
			{
				if (!Directory.Exists(GV.app_dir + "\\Data"))
				{
					Directory.CreateDirectory(GV.app_dir + "\\Data");
				}
				if (!Directory.Exists(GV.app_dir + "\\Data\\Download"))
				{
					Directory.CreateDirectory(GV.app_dir + "\\Data\\Download");
				}
				if (!Directory.Exists(GV.temp_dir))
				{
					Directory.CreateDirectory(GV.temp_dir);
				}
				foreach (string filename in Directory.GetFiles(GV.app_dir + "\\xml"))
				{
					File.Copy (filename,GV.temp_dir
						+ filename.Substring(filename.LastIndexOf("\\")),true);
				}
				foreach (string filename in Directory.GetFiles(GV.app_dir + "\\css"))
				{
					File.Copy (filename,GV.temp_dir
						+ filename.Substring(filename.LastIndexOf("\\")),true);
				}
			}
			catch
			{
				MessageBox.Show("ʼʧ","",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
		}

		static public void Application_Enviroment_Cleanup()
		{
			try
			{
				if (Directory.Exists(GV.temp_dir))
				{
					Directory.Delete(GV.temp_dir,true);
				}
			}
			catch
			{
				MessageBox.Show("ʧ","",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
		}

		static public void Registry_Settings(bool write)
		{
			if (write)
			{
				try
				{
					RegistryKey regkey = Registry.CurrentUser.OpenSubKey("Software",true);
					regkey = regkey.CreateSubKey(Application.CompanyName);
					regkey = regkey.CreateSubKey(Application.ProductName);
					regkey = regkey.CreateSubKey("Settings");
					regkey.SetValue("Hostname",GV.hostname);
					regkey.SetValue("Proxy_Use",(GV.Proxy_Use?1:0));
					regkey.SetValue("Proxy_Server",GV.Proxy_Server);
					regkey.SetValue("Proxy_Port",GV.Proxy_Port);
					regkey.SetValue("Proxy_Username",GV.Proxy_Username);
					regkey.SetValue("Proxy_Password",GV.Proxy_Password);
				}
				catch(System.Exception e)
				{
					MessageBox.Show(e.ToString());
				}
			}
			else
			{
				try
				{
					RegistryKey regkey = Registry.CurrentUser.OpenSubKey("Software");
					regkey = regkey.OpenSubKey(Application.CompanyName);
					regkey = regkey.OpenSubKey(Application.ProductName);
					regkey = regkey.OpenSubKey("Settings");
					GV.hostname = regkey.GetValue("Hostname").ToString();
					GV.Proxy_Use = regkey.GetValue("Proxy_Use").ToString()=="1";
					GV.Proxy_Server = regkey.GetValue("Proxy_Server").ToString();
					GV.Proxy_Port = regkey.GetValue("Proxy_Port").ToString();
					GV.Proxy_Username = regkey.GetValue("Proxy_Username").ToString();
					GV.Proxy_Password = regkey.GetValue("Proxy_Password").ToString();
				}
				catch
				{
					GV.Registry_Settings(true);
				}
			}
		}
	}
}
